So-net無料ブログ作成
検索選択

Mavericks に imagemagick と rmagick をインストールする [Imagemagick]

使っている OS X は 10.9.2
ImageMagick と RMagick をインストールしようとしたがいろいろトラブったのでメモ。

brew で ImageMagick をインストール
brew update
brew install imagemagick

これは普通にできた。

次は rmagick をインストール。
gem install rmagick

上のコマンドで permission がないって怒られた。

sudo install rmagick

でいれたら今度はエラーが。。。
clang: error: unknown argument: '-multiply_definedsuppress' [-Wunused-command-line-argument-hard-error-in-future]

困ったときの google 頼み。

Ruby Gem install Json fails on Mavericks and Xcode 5.1 - unknown argument: '-multiply_definedsuppress'
を参考に
sudo ARCHFLAGS=-Wno-error=unused-command-line-argument-hard-error-in-future gem install rmagick

でインストールできた。OS X の ruby のコンパイル時の問題だとか書いてあり、
ruby のバージョンをあげるか、修正されるまでこの方法で回避するしかないという。
一応動いているので、今回はこれでOKとする。


nice!(0)  コメント(0)  トラックバック(0) 

nice! 0

コメント 0

コメントを書く

お名前:
URL:
コメント:
画像認証:
下の画像に表示されている文字を入力してください。

トラックバック 0

この広告は前回の更新から一定期間経過したブログに表示されています。更新すると自動で解除されます。